@import "../../styles/reponsive/responsive.scss";
@import "../../styles/colours.scss";

.Header {
  animation: fade 1.5s;
  position: absolute;
  right: 0;

  &__links {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin-top: 1.6rem;
    width: 50vw;
  }
  &__link {
    &--logo--Dark {
      height: 1rem;
    }
    &--logo--Light {
      height: 1rem;
      filter: invert(1);
    }
  }
}

@include mobile-s {
  .Header {
    &__links {
      margin-top: 1.6rem;
    }
    &__link {
      &--logo {
        height: 1rem;
      }
    }
  }
}
@include tablet {
  .Header {
    &__links {
      margin-top: 2rem;
    }
    &__link {
      &--logo {
        height: 2rem;
      }
    }
  }
}

@include desktop {
  .Header {
    display: flex;

    &__links {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 15rem;
    }

    &__link {
      &--logo {
        height: 3rem;
        margin-bottom: 5rem;
      }
    }
  }
}

@include large {
  .Header {
    margin-right: 5%;
    display: flex;

    &__links {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 15rem;
    }

    &__link {
      display: inline-block;
      align-items: center;
      margin: 1rem;
      margin-inline: 7rem;
      > img {
        height: 3rem;
        margin-bottom: 5rem;
      }
    }
  }
}
